Loading...
Searching...
No Matches
LowerWarpShuffles.h File Reference

Defines the lowering pass that injects CUDA warp shuffle instructions to access storage outside of a GPULane loop. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::lower_warp_shuffles (Stmt s, const Target &t)
| Rewrite access to things stored outside the loop over GPU lanes to use nvidia's warp shuffle instructions.

## Detailed Description

Defines the lowering pass that injects CUDA warp shuffle instructions to access storage outside of a GPULane loop.

Definition in file LowerWarpShuffles.h.